org.eclipse.viatra.query.tooling.ui.util

## Class CommandInvokingDoubleClickListener

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.util.CommandInvokingDoubleClickListener

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IDoubleClickListener
  Direct Known Subclasses:
    DoubleClickListener

      public class CommandInvokingDoubleClickListener
      extends java.lang.Object
      implements org.eclipse.jface.viewers.IDoubleClickListener

  A generic double-click listener that invokes a command with the given identifier and logs any exceptions with the given message.
  Since:
    1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `commandId`
    `protected java.lang.String` | `exceptionMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandInvokingDoubleClickListener(java.lang.String commandId, java.lang.String exceptionMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)`
    `protected void` | `handleException(org.eclipse.core.commands.common.CommandException e)` Subclasses may add additional error handling when the command invocation was not successful

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### commandId

          protected java.lang.String commandId

    - #### exceptionMessage

          protected java.lang.String exceptionMessage

  - ### Constructor Detail

    - #### CommandInvokingDoubleClickListener

          public CommandInvokingDoubleClickListener(java.lang.String commandId,
                                                    java.lang.String exceptionMessage)

  - ### Method Detail

    - #### doubleClick

          public void doubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)

      Specified by:
        `doubleClick` in interface `org.eclipse.jface.viewers.IDoubleClickListener`

    - #### handleException

          protected void handleException(org.eclipse.core.commands.common.CommandException e)

      Subclasses may add additional error handling when the command invocation was not successful
      Parameters:
        `e` - the exception that occured while executing the command